晓.L.Jin
发布于

编译时出错:fatal: git fetch-pack: expected shallow list

[root@VM-4-6-centos server]# go build
go: github.com/iris-contrib/middleware/cors@v0.0.0-20200913183508-5d1bed0e6ea4 requires
github.com/kataras/iris/v12@v12.2.0-alpha requires
github.com/andybalholm/brotli@v1.0.1-0.20200619015827-c3da72aa01ed: invalid version: Git fetch --unshallow -f origin in /home/pkg/mod/cache/vcs/ea22ee5a3996d14cdfefabfead7c8aa631b705579182b14789709a1c22d83001: exit status 128:
fatal: Git fetch-pack: expected shallow list

golang 版本 golang.x86_64 0:1.15.5-1.el7
操作系统 CentOS 7.8 64bit

评论(1)
  • 小码哥
    小码哥 回复

    这个是下载依赖失败了,你设置一下 go mod 代理。